Bug 174134 - Plugin Importer hangs while importing plugins from local file system
Plugin Importer hangs while importing plugins from local file system
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Plugin Importer
6.x
All All
: P3 (vote)
: 6.x
Assigned To: dlipin
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-08 17:03 UTC by Michel Graciano
Modified: 2009-11-19 09:06 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (105.70 KB, bin/nps)
2009-10-08 17:03 UTC, Michel Graciano
Details
nps snapshot (256.00 KB, application/nps)
2009-11-19 08:37 UTC, Chiana
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2009-10-08 17:03:35 UTC
Build: NetBeans IDE 6.8 M2 (Build 200910071658)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, i386

User Comments:
hmichel: Probably migrating plugins from previous IDE version


Maximum slowness yet reported was 66433 ms, average is 27668
Comment 1 Michel Graciano 2009-10-08 17:03:41 UTC
Created attachment 89120 [details]
nps snapshot
Comment 2 Michel Graciano 2009-10-08 17:06:38 UTC
I just installed 6.8 M2 and migrated all settings from previous version. In that time, the project was scanning and it 
blocked the EDT when I selected the plugins to be imported.
Comment 3 dlipin 2009-10-09 12:10:11 UTC
core-main #7236db58ac73
Comment 4 Quality Engineering 2009-10-14 11:04:48 UTC
Integrated into 'main-golden', will be available in build *200910140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7236db58ac73
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #174134 Plugin Importer hangs while importing plugins from local file system
Comment 5 Chiana 2009-11-19 08:37:44 UTC
Created attachment 91359 [details]
nps snapshot
Comment 6 dlipin 2009-11-19 08:49:28 UTC
the last snapshot actually gives another point, not related to Plugin Importer.
org.netbeans.modules.web.project.ui.customizer.WebProjectProperties$4.run()
org.netbeans.modules.web.jsf.wizards.JSFConfigurationPanel.extend()
org.netbeans.modules.web.jsf.JSFFrameworkProvider.extendImpl()
org.netbeans.api.java.project.classpath.ProjectClassPathModifier.addLibraries()
Comment 7 Petr Jiricka 2009-11-19 09:06:34 UTC
Then it belongs in Alexey Butenko's area, but this should really be entered as a separate issue.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo